# Uses of Class
jebl.evolution.sequences.CodonState

Packages that use CodonState
Package
Description
jebl.evolution.sequences

## Uses of CodonState in jebl.evolution.sequences

Fields in jebl.evolution.sequences declared as CodonState
Modifier and Type
Field
Description
`static final CodonState[]`
Codons.`CANONICAL_STATES`
`static final CodonState`
Codons.`GAP_STATE`
`static final CodonState[]`
Codons.`STATES`
`static final CodonState`
Codons.`UNKNOWN_STATE`
Methods in jebl.evolution.sequences that return CodonState
Modifier and Type
Method
Description
`static CodonState`
Codons.`getGapState()`
`static CodonState`
Codons.`getState(int index)`
`static CodonState`
Codons.`getState(String code)`
Gets the state object for the given code.
`static CodonState`
Codons.`getState(NucleotideState nucleotide1, NucleotideState nucleotide2, NucleotideState nucleotide3)`
`static CodonState`
Codons.`getUnknownState()`
`static CodonState[]`
Nucleotides.`toCodons(State[] states, int readingFrame)`
Convert an array of nucleotide states into an array of codon states
`static CodonState[]`
Codons.`toStateArray(byte[] indexArray)`
`static CodonState[]`
Codons.`toStateArray(String sequenceString)`
Methods in jebl.evolution.sequences that return types with arguments of type CodonState
Modifier and Type
Method
Description
`Set<CodonState>`
GeneticCode.`getCodonsForAminoAcid(AminoAcidState aminoAcidState)`
`Set<CodonState>`
GeneticCode.`getStartCodons()`
`Set<CodonState>`
GeneticCode.`getStopCodons()`
Methods in jebl.evolution.sequences with parameters of type CodonState
Modifier and Type
Method
Description
`AminoAcidState`
GeneticCode.`getTranslation(CodonState codonState)`
Returns the state associated with AminoAcid represented by codonState.
`static boolean`
Codons.`isGap(CodonState state)`
`boolean`
GeneticCode.`isStartCodon(CodonState codonState)`
Deprecated.
`boolean`
GeneticCode.`isStopCodon(CodonState codonState)`
Deprecated.
`static boolean`
Codons.`isUnknown(CodonState state)`
`static NucleotideState[]`
Codons.`toNucleotides(CodonState state)`